<?php



class TblscormcppackageMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcppackageMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcppackagePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcppackagePeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcppackage');
		$tMap->setClassname('Tblscormcppackage');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('CREATED', 'Created', 'VARCHAR', false, 20);

		$tMap->addColumn('C_IDENTIFIER', 'CIdentifier', 'VARCHAR', false, 255);

		$tMap->addColumn('JSDATA', 'Jsdata', 'LONGVARCHAR', false, null);

		$tMap->addColumn('MODIFIED', 'Modified', 'VARCHAR', false, 20);

		$tMap->addPrimaryKey('OBJ_ID', 'ObjId', 'INTEGER', true, null);

		$tMap->addColumn('PERSISTPREVATTEMPTS', 'Persistprevattempts', 'INTEGER', false, null);

		$tMap->addColumn('C_SETTINGS', 'CSettings', 'VARCHAR', false, 255);

		$tMap->addColumn('XMLDATA', 'Xmldata', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ACTIVITYTREE', 'Activitytree', 'LONGVARCHAR', false, null);

		$tMap->addColumn('GLOBAL_TO_SYSTEM', 'GlobalToSystem', 'TINYINT', true, null);

		$tMap->addColumn('SHARED_DATA_GLOBAL_TO_SYSTEM', 'SharedDataGlobalToSystem', 'TINYINT', true, null);

	} 
} 